Package ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws

# Class TransactionStatement

java.lang.Object
ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.TransactionStatement

    public class TransactionStatement
    extends java.lang.Object

Java class for TransactionStatement complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransactionStatement">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="amount" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="providerTrnId" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="transactionId" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="transactionTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected long` | `amount` |
  `protected long` | `providerTrnId` |
  `protected long` | `transactionId` |
  `protected javax.xml.datatype.XMLGregorianCalendar` | `transactionTime` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TransactionStatement()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `long` | `getAmount()` | Gets the value of the amount property.
  `long` | `getProviderTrnId()` | Gets the value of the providerTrnId property.
  `long` | `getTransactionId()` | Gets the value of the transactionId property.
  `javax.xml.datatype.XMLGregorianCalendar` | `getTransactionTime()` | Gets the value of the transactionTime property.
  `void` | `setAmount​(long value)` | Sets the value of the amount property.
  `void` | `setProviderTrnId​(long value)` | Sets the value of the providerTrnId property.
  `void` | `setTransactionId​(long value)` | Sets the value of the transactionId property.
  `void` | `setTransactionTime​(javax.xml.datatype.XMLGregorianCalendar value)` | Sets the value of the transactionTime property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### amount

    protected long amount

  - ### providerTrnId

    protected long providerTrnId

  - ### transactionId

    protected long transactionId

  - ### transactionTime

    protected javax.xml.datatype.XMLGregorianCalendar transactionTime

- ## Constructor Details

  - ### TransactionStatement

    public TransactionStatement()

- ## Method Details

  - ### getAmount

    public long getAmount()
    Gets the value of the amount property.

  - ### setAmount

    public void setAmount​(long value)
    Sets the value of the amount property.

  - ### getProviderTrnId

    public long getProviderTrnId()
    Gets the value of the providerTrnId property.

  - ### setProviderTrnId

    public void setProviderTrnId​(long value)
    Sets the value of the providerTrnId property.

  - ### getTransactionId

    public long getTransactionId()
    Gets the value of the transactionId property.

  - ### setTransactionId

    public void setTransactionId​(long value)
    Sets the value of the transactionId property.

  - ### getTransactionTime

    public javax.xml.datatype.XMLGregorianCalendar getTransactionTime()
    Gets the value of the transactionTime property.
    Returns:
      possible object is `XMLGregorianCalendar`

  - ### setTransactionTime

    public void setTransactionTime​(javax.xml.datatype.XMLGregorianCalendar value)
    Sets the value of the transactionTime property.
    Parameters:
      `value` - allowed object is `XMLGregorianCalendar`